//+------------------------------------------------------------------+
//|                                               stop strategy      |
//|                                                        Bindig    |
//|                                              Bindig@seznam.cz    |
//+------------------------------------------------------------------+

#property copyright "Copyright  2010, Bindig"

extern string  bftext="-- Nastaveni parametru --"; 
extern int EmaS = 5;
extern int CCI = 14;
extern int BB_Perioda = 12; 
extern int BB_sirka =3; 
extern int MACD_fast = 3;
extern int MACD_slow = 15;
extern int MACD_signal = 3;
extern int Stoch_K = 3;
extern int Stoch_D = 3;
extern int Stoch_Period = 8;
extern int Stoch_Citlivost = 20;
extern string  bdtext="-- Nastaveni MM--"; 
extern double risk = 0.5;
extern double minLot=0.01;
extern int MinTP = 50;
extern int Sl = 1000;
extern int MagikBuy =  20100001;
extern int MagikSell = 20100002;
int ticket, ticket2;
double openstare;
double opennove;
int tren;
int Trendpredchozi;
//+------------------------------------------------------------------+
void smazSell()
{
for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      if(OrderMagicNumber()==MagikSell && OrderSymbol()==Symbol()) 
      //---- check order type 
      {
         OrderDelete(OrderTicket(), CLR_NONE);
         
        }
     
     }

}
 void smazBuy()
{
for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      if(OrderMagicNumber()==MagikBuy && OrderSymbol()==Symbol()) 
      //---- check order type 
      {
         OrderDelete(OrderTicket(), CLR_NONE);
         
        }
     
     }

}

double lot()
{
double Lots;
Lots =((AccountFreeMargin() * risk)/Sl);
Lots =( MathRound(Lots)/100);
      if (Lots < minLot)
      {
	       Lots = minLot;
      }
      return (Lots);
}
void zadatObchod()
{
double Hipred=iHigh(NULL,0,1);
double Lowpred=iLow(NULL,0,1);
int TpHl=10*MathRound(((Hipred-Lowpred)*(MathPow(10,(Digits-1)))));
int Tp=MathMax(TpHl,MinTP);
Print(" HiPred  : " , Hipred," Lovpred  : " , Lowpred, " Tphl  : ", TpHl);
Print(" HiPred  : " , Hipred," Lovpred  : " , Lowpred, " Tphl  : ", TpHl, " Signal :  ", trend());
tren=trend();
int signalek;
if ((Trendpredchozi ==tren) || (tren == 0))
 {
   signalek=Trendpredchozi;
 }
 else 
 {
   signalek=tren;
   Trendpredchozi=tren;
 }
if (signalek == 1)
 {
 smazSell();
 OrderSend(Symbol(),OP_BUYSTOP, lot(),Hipred,0,Hipred-(Sl*Point),Hipred+(Tp*Point), "Buy TP - Prise A",MagikBuy,30,Green); 
 
 Print(" HiPred  : " , Hipred," Lovpred  : " , Lowpred, " Tphl  : ", TpHl, " Signal :  ", trend());
 }
if (signalek == 2)
  {
  smazBuy();
  OrderSend(Symbol(),OP_SELLSTOP, lot(),Lowpred,0, Lowpred+(Sl*Point),Lowpred-(Tp*Point), "Sell TP - Prise A",MagikSell,30,Red);
  
   Print(" HiPred  : " , Hipred," Lovpred  : " , Lowpred, " Tphl  : ", TpHl, " Signal :  ", trend());
  }
}
int trend()
{

int vratit = 0;
double EMA=iMA(NULL,0,EmaS,0,MODE_EMA,PRICE_CLOSE,1);
  double EMAP=iMA(NULL,0,EmaS,0,MODE_EMA,PRICE_CLOSE,2);
  double BBStred=iBands(NULL,0,BB_Perioda,2,0,PRICE_TYPICAL,MODE_MAIN,1);
  double BBStredP=iBands(NULL,0,BB_Perioda,2,0,PRICE_TYPICAL,MODE_MAIN,2);
  double BBHorni = iBands(NULL,0,BB_Perioda,3,0,PRICE_TYPICAL,MODE_UPPER,1);
  double BBSpodni = iBands(NULL,0,BB_Perioda,3,0,PRICE_TYPICAL,MODE_LOWER,1);
  double CCIH = iCCI(NULL,0,CCI,PRICE_TYPICAL,1);
  double MACDH = iMACD(NULL,0,MACD_fast,MACD_slow,MACD_signal,PRICE_TYPICAL,MODE_MAIN,1);
  double Stoch = iStochastic(NULL,0,Stoch_K,Stoch_D,Stoch_Period,MODE_SMA,0,MODE_MAIN,1);
  //bool volat = iCustom(NULL, 0, "Damiani_volatmeter",7,50,1.1,true,3,1);
 
if (EMAP<BBStredP  && EMA>BBStred && CCIH>0 && MACDH>0 && Stoch < Stoch_Citlivost ) return(1);
if (EMAP > BBStredP  && EMA < BBStred && CCIH < 0 && MACDH < 0 && Stoch > (100 -Stoch_Citlivost)) return(2);
    

}
void start()
 {
 
 opennove  = iOpen(NULL,0,1);
 if (openstare !=opennove)
  {
   zadatObchod ();
   openstare = opennove;
  }
   
 }



